import * as AWS from 'aws-sdk';
import { Context } from 'aws-lambda';
import { CheckJobs } from './check-jobs';

/* Lock to us-west-2 */
AWS.config.region = 'us-west-2';

/* Lock the known API versions to avoid future problems */
AWS.config.apiVersions = {
  ec2: '2016-11-15',
  s3: '2016-03-01'
};

export const handler = async (request: any, context: Context) => {
  console.log('\nRequest: ', JSON.stringify(request, null, 2));
  const lambda = new CheckJobs();
  return await lambda.getInstances()
      .catch((error: Error) => {
        console.log(`Error:\n ${error.message} \n ${error.stack}`);
        return {
          status: 'error',
          message: error.message
        }
      });
};

